import { ElementRef } from "@angular/core";
import { ValueField } from "../value-field";
import { AutoCompleteFieldEntry } from "./auto-complete-field-entry";
import { IForm } from "../../../pathinterface";
import { TranslationService } from "../../../service/translation.service";
import { PathService } from "../../../service/path.service";
import * as i0 from "@angular/core";
export declare class AutoCompleteComponent {
    field: AutoCompleteField;
    private _elementRef;
    constructor(myElement: ElementRef);
    handleClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoCompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AutoCompleteComponent, "path-autocomplete", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class AutoCompleteField extends ValueField<string> {
    protected form: IForm;
    protected translationService: TranslationService;
    protected pathService: PathService;
    private _query;
    private _filteredList;
    private _data;
    private _dataLoaded;
    private _wordSearchEnabled;
    private _valueSet;
    private _detailForm;
    private _keyType;
    private _url;
    constructor(form: IForm, translationService: TranslationService, pathService: PathService);
    isReadonly(): boolean;
    filter(query: string, event: any): void;
    select(item: AutoCompleteFieldEntry): void;
    focusLost(): void;
    setValue(value: string): void;
    load(): void;
    getDetailButtonName(): string;
    showDetailForm(): void;
    clearFilteredList(): void;
    private resetDisplay;
    get query(): AutoCompleteFieldEntry;
    set query(value: AutoCompleteFieldEntry);
    set data(value: AutoCompleteFieldEntry[]);
    get filteredList(): AutoCompleteFieldEntry[];
    set wordSearchEnabled(value: boolean);
    get valueSet(): boolean;
    get dataLoaded(): boolean;
    set dataLoaded(value: boolean);
    get detailForm(): string;
    set detailForm(value: string);
    get url(): string;
    set url(value: string);
}
